//
//  UITestAuthorizationProvider.swift
//  Copyright © 2020 abc-studio. All rights reserved.
//

protocol UITestAuthorizationProvider {
    var hasAccessToken: Bool {get}
    var hasRefreshToken: Bool {get}
    func refreshToken(completion: @escaping () -> Void)
    func signIn(_ parent: UIViewController, completion: @escaping () -> Void)
    func signOut()
}